var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
import * as React from "react";
export default function Glue(props) {
    return (React.createElement("svg", __assign({ width: "46px", height: "46px", viewBox: "0 0 46 46", version: "1.1", xmlns: "http://www.w3.org/2000/svg", xmlnsXlink: "http://www.w3.org/1999/xlink" }, props),
        React.createElement("title", null, "glue"),
        React.createElement("desc", null, "Created with Sketch."),
        React.createElement("defs", null,
            React.createElement("rect", { id: "path-1", x: 0, y: 20, width: 28, height: 25, rx: 4 }),
            React.createElement("mask", { id: "mask-2", maskContentUnits: "userSpaceOnUse", maskUnits: "objectBoundingBox", x: 0, y: 0, width: 28, height: 25, fill: "white" },
                React.createElement("use", { xlinkHref: "#path-1" })),
            React.createElement("rect", { id: "path-3", x: 5, y: 14, width: 18, height: 8 }),
            React.createElement("mask", { id: "mask-4", maskContentUnits: "userSpaceOnUse", maskUnits: "objectBoundingBox", x: 0, y: 0, width: 18, height: 8, fill: "white" },
                React.createElement("use", { xlinkHref: "#path-3" }))),
        React.createElement("g", { id: "Artboards", stroke: "none", strokeWidth: 1, fill: "none", fillRule: "evenodd" },
            React.createElement("g", { id: "glue" },
                React.createElement("g", { id: "Page-1-Copy-3", transform: "translate(9.000000, 1.000000)" },
                    React.createElement("g", { id: "Group-7", stroke: "#62748C", fill: "#FFFFFF" },
                        React.createElement("use", { id: "Rectangle-24", mask: "url(#mask-2)", strokeWidth: 4, xlinkHref: "#path-1" }),
                        React.createElement("polygon", { id: "Stroke-3", strokeWidth: 2, strokeLinejoin: "round", points: "19 15 9 15 14 0" })),
                    React.createElement("polygon", { id: "Fill-8", fill: "#B6C8F9", points: "23 38 6 38 6 27 23 27" }),
                    React.createElement("polygon", { id: "Stroke-9", stroke: "#62748C", strokeWidth: 2, strokeLinejoin: "round", points: "22 38 6 38 6 27 22 27" }),
                    React.createElement("use", { id: "Rectangle", stroke: "#62748C", mask: "url(#mask-4)", strokeWidth: 4, fill: "#FFFFFF", xlinkHref: "#path-3" }),
                    React.createElement("path", { d: "M14,15.5 L14,20.5", id: "Line", stroke: "#62748C", strokeWidth: 2, strokeLinecap: "square" }),
                    React.createElement("path", { d: "M10,15.5 L10,20.5", id: "Line-Copy", stroke: "#62748C", strokeWidth: 2, strokeLinecap: "square" }),
                    React.createElement("path", { d: "M18,15.5 L18,20.5", id: "Line-Copy-2", stroke: "#62748C", strokeWidth: 2, strokeLinecap: "square" }))))));
}
